List withdrawal accounts
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "d811ed6a-62c4-403f-bbe8-81d39f6d21c7",
"currency": "USD",
"accountName": "USD FEDWIRE",
"accountNumber": "123456789",
"bankName": "Zand",
"routingNumber": "1234567",
"swiftCode": null,
"status": "active",
"verified": true,
"creatorId": "84677558-407c-4ee9-b59a-51a0d5f55764",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"comments": null,
"transferType": "FEDWIRE",
"memo": null,
"createdAt": "2024-08-28T02:25:14.926Z",
"updatedAt": "2024-10-10T05:28:40.340Z"
},
{
"id": "66c3ef64-1fa6-4512-b083-57090e08ea57",
"currency": "GBP",
"accountName": "GBP SWIFT3",
"accountNumber": "1234",
"bankName": "GBP SWIFT3",
"routingNumber": null,
"swiftCode": "2343",
"status": "active",
"verified": true,
"creatorId": "84677558-407c-4ee9-b59a-51a0d5f55764",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"comments": null,
"transferType": "SWIFT",
"memo": null,
"createdAt": "2024-09-04T08:30:50.601Z",
"updatedAt": "2024-10-10T05:30:49.044Z"
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}List fiat withdrawal accounts
Returns a paginated list of approved fiat withdrawal accounts for the organization.
GET
/
v1
/
brokerage
/
{orgId}
/
fiat_withdrawal_addresses
List withdrawal accounts
const url = 'https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses")
.header("Authorization", "Bearer <token>")
.asString();CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl --request GET \
--url https://api.openfx.com/v1/brokerage/{orgId}/fiat_withdrawal_addresses \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": [
{
"id": "d811ed6a-62c4-403f-bbe8-81d39f6d21c7",
"currency": "USD",
"accountName": "USD FEDWIRE",
"accountNumber": "123456789",
"bankName": "Zand",
"routingNumber": "1234567",
"swiftCode": null,
"status": "active",
"verified": true,
"creatorId": "84677558-407c-4ee9-b59a-51a0d5f55764",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"comments": null,
"transferType": "FEDWIRE",
"memo": null,
"createdAt": "2024-08-28T02:25:14.926Z",
"updatedAt": "2024-10-10T05:28:40.340Z"
},
{
"id": "66c3ef64-1fa6-4512-b083-57090e08ea57",
"currency": "GBP",
"accountName": "GBP SWIFT3",
"accountNumber": "1234",
"bankName": "GBP SWIFT3",
"routingNumber": null,
"swiftCode": "2343",
"status": "active",
"verified": true,
"creatorId": "84677558-407c-4ee9-b59a-51a0d5f55764",
"orgId": "c96183a5-2830-4606-9ae2-15dfd058872b",
"comments": null,
"transferType": "SWIFT",
"memo": null,
"createdAt": "2024-09-04T08:30:50.601Z",
"updatedAt": "2024-10-10T05:30:49.044Z"
}
],
"meta": {
"pagination": {
"total": 2,
"start": 1,
"end": 2,
"page": 1,
"limit": 2
}
}
}{
"status": "error",
"message": "Query validation failed"
}{
"status": "error",
"message": "The authorization key provided is either invalid or expired, please try again"
}{
"status": "error",
"message": "An internal error has occurred"
}v1 sunsets December 31, 2026. Migrate to v2 — see the migration guide.
Errors
| Status | Message | Notes |
|---|---|---|
| 400 | Query validation failed | Request didn’t match schema (bad pagination cursor, malformed filter, etc.) |
| 401 | The authorization key provided is either invalid or expired, please try again | Mint a fresh JWT — see Authentication |
| 500 | An internal error has occurred | Server fault; retry with backoff |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 50Example:
10
⌘I